/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPOEVENTO                                               */
/* Tabela : TIPOEVENTO                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 21/09/2006 - ARNALDO COUTINHO BRITO JNIOR                                 */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TIPOEVENTO
BEFORE INSERT OR UPDATE OR DELETE
ON TIPOEVENTO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTPEV := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTIPOEVENTO,0 ) <> NVL(:NEW.CDTIPOEVENTO,0)) OR
         (NVL(:OLD.NMTIPOEVENTO,0 ) <> NVL(:NEW.NMTIPOEVENTO,0)) OR
         (NVL(:OLD.NRDIASALTCONV,0 ) <> NVL(:NEW.NRDIASALTCONV,0)) OR
         (NVL(:OLD.CDTPCTRECEBORE,0) <> NVL(:NEW.CDTPCTRECEBORE,0)) OR
         (NVL(:OLD.IDDEGUSTPEVE,0 ) <> NVL(:NEW.IDDEGUSTPEVE,0)) OR
         (NVL(:OLD.VRPEJUROSTIPOEVENTO,0) <> NVL(:NEW.VRPEJUROSTIPOEVENTO,0)) OR
         (NVL(:OLD.IDPEJUROSTIPOEVENTO,0) <> NVL(:NEW.IDPEJUROSTIPOEVENTO,0)) THEN
         :NEW.DTULTATUTPEV := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPOEVENTO', '','CDTIPOEVENTO='||:OLD.CDTIPOEVENTO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TIPOEVENTO MODIFY DTULTATUTPEV DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_TIPOEVENTO','0.00.000'); END;
/

